import { Component, Element, h, Prop, State } from "@stencil/core";
import * as translation from "../../../translation";
export class IntergiroMerchantInformation {
  componentWillLoad() {
    this.t = translation.create(this.element);
  }
  render() {
    return [
      h("section", null,
        h("smoothly-display", null, this.t("name")),
        h("smoothly-display", null, this.merchant.name)),
      this.merchant.descriptor && (h("section", null,
        h("smoothly-display", null, this.t("descriptor")),
        h("smoothly-display", null, this.merchant.descriptor))),
      h("section", null,
        h("smoothly-display", null, this.t("country")),
        h("smoothly-display", null, this.merchant.country
          .toUpperCase()
          .replace(/./g, char => String.fromCodePoint(char.charCodeAt(0) + 127397)) +
          " " +
          this.merchant.country)),
      h("section", null,
        h("smoothly-display", null, this.t("category code")),
        h("smoothly-display", null, this.merchant.categoryCode)),
    ];
  }
  static get is() { return "ig-merchant-information"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["style.css"]
  }; }
  static get styleUrls() { return {
    "$": ["style.css"]
  }; }
  static get properties() { return {
    "merchant": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Merchant",
        "resolved": "Merchant",
        "references": {
          "Merchant": {
            "location": "import",
            "path": "@payfunc/model-acquirer"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
  static get states() { return {
    "t": {}
  }; }
  static get elementRef() { return "element"; }
}
